/*
 * LSCredentials.java
 *
 * Created on August 11, 2009, 1:21 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package splscli;

/**
 * Wrapper object to contain host and credential information
 * @author Mitch Oliver
 */
public class LSCredentials {
    private String username;
    private String password;
    private String hostname;
    private int port;
    
    /**
     * Creates a new instance of LSCredentials
     * @param credentials Credential string from command line in format user:password@host:port
     */
    public LSCredentials(String credentials) {
        String[] outerParts = credentials.split("@", 2);
        String userpass = null;
        String hostport = null;
        
        // separate username and password from hostname and port
        if(outerParts.length > 1) {
            userpass = outerParts[0];
            hostport = outerParts[1];
        } else {
            hostport = outerParts[0];
        }
        
        // parse out username and password
        if(userpass != null) {
            String[] loginParts = userpass.split(":");
            
            username = loginParts[0];
            if(loginParts.length > 1) {
                password = loginParts[1];
            } else {
                password = "";
            }
        } else {
            username = "";
            password = "";
        }
        
        // parse out hostname and port
        if(hostport != null) {
            String[] hostParts = hostport.split(":");
            
            hostname = hostParts[0];
            if(hostParts.length > 1) {
                port = Integer.parseInt(hostParts[1]);
            } else {
                port = 5100;
            }
        } else {
            hostname = "";
            port = 5100;
        }
    }
    
    /**
     * Get parsed username
     * @return username
     */
    public String username() { return username; }
    /**
     * Get parsed password
     * @return password
     */
    public String password() { return password; }
    /**
     * Get parsed hostname
     * @return hostname
     */
    public String hostname() { return hostname; }
    /**
     * Get parse port number
     * @return port number
     */
    public int port() { return port; }
    
}
