/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package splscli;

import com.seapine.licenseserver.api.Pool;
import com.seapine.licenseserver.api.LSAPI.Product;
import java.util.List;
import java.util.Iterator;
import java.lang.String;

/**
 * Class to parse command line data into a Pool object
 *
 */
public class ParsedPool extends Pool {
    /**
     * Creates a new instance of a ParsedPool object
     * @param args command line arguments to use to initialize data
     */
    public ParsedPool(List<String> args) {
        super();

        parseArguments(args);
    }
    /**\
     * Creates a new instance of a ParsedPool object
     * @param in Pool object to use as template
     * @param args command line arguments to use to overwrite template data
     */
    public ParsedPool(Pool in, List<String> args) {
        super(in);

        parseArguments(args);
    }

    private void parseArguments(List<String> args) {
        Iterator<String> argIter = args.iterator();
        while (argIter.hasNext()) {
            String arg = argIter.next();

            if (arg.contains("name")) {
                name = OptParser.splitOpt(arg);
            } else if (arg.contains("id")) {
                id = Long.parseLong(arg);
            } else if (arg.contains("product")) {
                String prodOpt = "";
                prodOpt = OptParser.splitOpt(arg);

                if (prodOpt.contains("ttpro")) {
                    product = Product.ttp;
                } else if (prodOpt.contains("tcm")) {
                    product = Product.tcm;
                } else if (prodOpt.contains("ttrm")) {
                    product = Product.rm;
                } else if (prodOpt.contains("scm")) {
                    product = Product.scm;
                }
            }
        }
    }
}
